org.apache.pdfbox.pdmodel.interactive.digitalsignature.visible

## Class PDFTemplateCreator

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.digitalsignature.visible.PDFTemplateCreator

    public class PDFTemplateCreator
    extends Object

Class to build PDF template.

Author:
  Vakhtang Koroghlishvili

### Constructor Summary

Constructors
Constructor and Description
`PDFTemplateCreator(PDFTemplateBuilder templateBuilder)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `buildPDF(PDVisibleSignDesigner properties)` Build a PDF with a visible signature step by step, and return it as a stream.
`PDFTemplateStructure` `getPdfStructure()` Returns the PDFTemplateStructure object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFTemplateCreator

    public PDFTemplateCreator(PDFTemplateBuilder templateBuilder)

Constructor.

Parameters:
  `templateBuilder` -

### Method Detail

#### getPdfStructure

    public PDFTemplateStructure getPdfStructure()

Returns the PDFTemplateStructure object.

Returns:
  the PDFTemplateStructure object.

#### buildPDF

    public InputStream buildPDF(PDVisibleSignDesigner properties)
                         throws IOException

Build a PDF with a visible signature step by step, and return it as a stream.

Parameters:
  `properties` -
Returns:
  InputStream
Throws:
  `IOException`